Booking | AssignSeats

Assign seats to a specific passenger.

Notice:
Product Scope: FareMarket, Techhub, TechHub+

POST

/flight/booking

Parameter

Field Mandatory Type Scope Description
action required String AssignSeats
key required String API security key applied from AeroHub
signature required String Refer to Guideline to generate.
timestamp required Int The ‘timestamp’ field should be a 10-digit Unix timestamp in seconds, used for encryption and data verification.
version optional String API version information, e.g. 3.2.0
request required Object
  sessionId required String SessionId: Session ID generated by AirPricing.
  segmentSeats required Object[] Object for Seat
    passengerId required String Passenger ID, starting from 0; e.g.: 0, 1, 2, 3, 4, 5
    flightNumber required String Flight number. e.g MM312
    depAirport required String Departure airport IATA 3-letter code.
    arrAirport required String Arrival airport IATA 3-letter code.
    deck required String Deck identifier (e.g. M, U)
    rowNo required String Seat row number
    colNo required String Seat column number
    data required String encrypt data for AeroHub internal use

Request_Example:

{
    "action": "AssignSeats",
    "key": "n93mPT7WzN6cLKC2",
    "signature": "YhQ2EoBQOfOnf/EOnuuuK5i+K+ncydeQhjFpoXYiEMo=",
    "timestamp": 1685116516,
    "request":
    {
        "segmentSeats":
        [
            {
                "arrAirport": "KIX",
                "colNo": "A",
                "data": "eyJzZXJ2aWNlQ29kZSI6ICJTVEZTIiwgInBoeXNpY2FsRmxpZ2h0SUQiOiAiODc0MjU4IiwgIm9yaWdpbmFsQW1vdW50IjogIjI0OTAwIn0=",
                "deck": "M",
                "depAirport": "ICN",
                "depTime": "202402230730",
                "flightNumber": "MM712",
                "passengerId": 0,
                "rowNo": "1"
            }
        ],
        "sessionId": "2f23bfaaaf1704b4bc7bb332a3682da"
    },
    "version": "v2.0.3"
}

Response

Field Type Description
status int 0 for success, others for failure, refer to status error appendix for details
msg String Return message, maximum 64 char
contentStatus int Return the original code from airlines or suppliers.
contentMsg String Return the original message from airlines or suppliers, maximum 64 char
amount Float Total amount, including ticket price and seat price
currency String Currency information, 3_letter code e.g. USD
originalAmount Float Total original amount, including ticket price and seat price
originalCurrency String Currency information, 3_letter code e.g. USD

Success-Response:

{
    "amount": 84.93,
    "contentMsg": "Success",
    "contentStatus": 0,
    "currency": "USD",
    "msg": "Success",
    "originalAmount": 109500.0,
    "originalCurrency": "KRW",
    "sessionId": "2f23bf1ba5f1704b4bc7bb332a3682da",
    "status": 0
}

Status Code

Name Description
1000 General system error
1001 Request parameters or part of parameters missing
1002 Invalid Action
1003 API request timeout, please request again
1004 Invalid request parameter
1005 Service system error
1006 System busy, please try again
1101 Authentication fail, wrong signature
1102 Account disabled, please contact with account administrator
2002 No valid Journey in the session
2003 No passengers in the current session
2009 PassengerID does not exist
2202 Code in SellSSR request parameters does not match with the code in GetSeatAvailability
2203 The seat can not be occupied anymore

Error-Response

{
    "status": 1000,
    "msg": "Letslfy flight internal error"
}
Author:admin  Create time:2023-05-24 16:07
Last editor:AeroHub  Update time:2026-03-09 17:49